xine-lib: rtsp_s Struct Reference

xine-lib 1.2.12

Data Fields
rtsp_s Struct Reference

## Data Fields
xine_stream_t * | stream
int | s
char * | host
int | port
char * | path
char * | mrl
char * | user_agent
char * | server
uint32_t | server_caps
unsigned int | cseq
char * | session
char * | auth
char * | answers [256]
char * | scheduled [256]

## Field Documentation

## ◆ answers

char* rtsp_s::answers[256]

Referenced by rtsp_connect(), rtsp_free_answers(), rtsp_get_answers(), and rtsp_search_answers().

## ◆ auth

char* rtsp_s::auth

Referenced by rtsp_close(), rtsp_connect(), and rtsp_send_request().

## ◆ cseq

unsigned int rtsp_s::cseq

Referenced by rtsp_connect(), rtsp_get_answers(), rtsp_schedule_standard(), and rtsp_send_ok().

## ◆ host

char* rtsp_s::host

Referenced by rtsp_close(), rtsp_connect(), rtsp_request_describe(), rtsp_request_options(), rtsp_request_play(), and rtsp_request_setparameter().

## ◆ mrl

char* rtsp_s::mrl

Referenced by rtsp_close(), rtsp_connect(), rtsp_get_code(), and rtsp_get_mrl().

## ◆ path

char* rtsp_s::path

Referenced by rtsp_close(), rtsp_connect(), rtsp_request_describe(), rtsp_request_play(), and rtsp_request_setparameter().

## ◆ port

int rtsp_s::port

Referenced by rtsp_connect(), rtsp_request_describe(), rtsp_request_options(), rtsp_request_play(), and rtsp_request_setparameter().

## ◆ s

int rtsp_s::s

Referenced by rtsp_close(), rtsp_connect(), rtsp_get(), rtsp_put(), and rtsp_read_data().

## ◆ scheduled

char* rtsp_s::scheduled[256]

Referenced by rtsp_connect(), rtsp_schedule_field(), rtsp_send_request(), and rtsp_unschedule_all().

## ◆ server

char* rtsp_s::server

Referenced by rtsp_connect(), and rtsp_get_answers().

## ◆ server_caps

uint32_t rtsp_s::server_caps

Referenced by rtsp_connect().

## ◆ session

char* rtsp_s::session

Referenced by rtsp_close(), rtsp_connect(), rtsp_get_answers(), and rtsp_schedule_standard().

## ◆ stream

xine_stream_t* rtsp_s::stream

Referenced by rtsp_close(), rtsp_connect(), rtsp_get(), rtsp_get_answers(), rtsp_get_code(), rtsp_put(), and rtsp_read_data().

## ◆ user_agent

char* rtsp_s::user_agent

Referenced by rtsp_close(), and rtsp_connect().

The documentation for this struct was generated from the following file:

- xine-lib-1.2.12/src/input/librtsp/rtsp.c